var Entrance4Std = StudioWidgetWrapper.extend(
    {
        /*
         * Triggered when initializing a widget and will have the code that invokes rendering of the widget
         * setParentContainer(JQueryParentContainerDOM) - binds event to this container
         * setItemContainer(JQueryItemContainerDOM) - binds studio item events for respective item containers
         * bindEvents() - binds the studio event to this widget
         */
        init: function () {
            var thisObj = this;
            thisObj._super.apply(thisObj, arguments);
            thisObj.render();
            if ((typeof (Studio) != "undefined") && Studio) {
                Studio.registerEvents(thisObj, "goToPageX", "goToPageX", []);
            }

            thisObj.toPage();
        },

        /*
         * Triggered from init method and is used to render the widget
         */
        render: function () {
            var thisObj = this;
            var widgetProperties = thisObj.getProperties();
            var elem = thisObj.getContainer();
            var items = thisObj.getItems();
            var connectorProperties = thisObj.getConnectorProperties();

            /*
             * API to get base path of your uploaded widget API file
             */
            var widgetBasePath = thisObj.getWidgetBasePath();
            if (elem) {
                var containerDiv = $(".scfClientRenderedContainer", elem);
                if (containerDiv.length) {
                    $(containerDiv).empty();
                }
                else {
                    containerDiv = document.createElement('div');
                    containerDiv.className = "scfClientRenderedContainer";
                    $(elem).append(containerDiv);
                }
            }

            /*
             * API to bind global events to the item DOM :
             *  thisObj.sksBindItemEvent();
             * 
             * API to bind item events to the item DOM :
             *  thisObj.sksBindItemEvent(JQueryItemContainerSelector, ItemIdx);
             * JQueryItemContainerSelector - A JQuery selector that returns an array of DOMs that represents the individual item inside the item container, to which the hotspot needs to be bound.
             * ItemIdx (Optional) - To bind the item events to a specific item.
             */
            thisObj.sksBindItemEvent();


            /*
             * API to refresh the previously bound events when a resize or orientation change occurs.
             *  thisObj.sksRefreshEvents(ItemIdx);
             * ItemIdx (Optional) - To refresh events for a specific item. Default value is 0.
             */
            $(window).resize(function () {
                thisObj.sksRefreshEvents();
            });
        },

        toPage: function () {
            var thisObj = this;
            $.ajax({
                url: '/u-route/baas/sys/v1.0/verify',
                type: 'get',
                success: function (res) {
                    thisObj.triggerEvent("goToPageX");
                },
                error: function (err) {
                    console.log(err);
                    if (err.status == 401) {
                        location.reload();
                    }
                }
            })
        }
    });